Show / Hide Table of Contents

# Class MenuBar

A menu bar for your application.

##### Inheritance

System.Object
Responder
View
MenuBar

##### Inherited Members

Responder.CanFocus
View.Add(View)
View.Add(View[])
View.AddRune(Int32, Int32, Rune)
View.Bounds
View.ChildNeedsDisplay()
View.Clear()
View.Clear(Rect)
View.ClearNeedsDisplay()
View.ClipToBounds()
View.ColorScheme
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.DrawHotString(ustring, Attribute, Attribute)
View.Driver
View.EnsureFocus()
View.Focused
View.FocusFirst()
View.FocusLast()
View.FocusNext()
View.FocusPrev()
View.Frame
View.GetEnumerator()
View.HasFocus
View.Height
View.Id
View.LayoutStyle
View.LayoutSubviews()
View.MostFocused
View.Move(Int32, Int32)
View.ProcessColdKey(KeyEvent)
View.Remove(View)
View.RemoveAll()
View.ScreenToView(Int32, Int32)
View.SetClip(Rect)
View.SetFocus(View)
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.Subviews
View.SuperView
View.ToString()
View.WantMousePositionReports
View.Width
View.X
View.Y

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class MenuBar : Terminal.Gui.View

### Constructors

#### MenuBar(MenuBarItem[])

Initializes a new instance of the MenuBar class with the specified set of toplevel menu items.

##### Declaration

    public MenuBar (Terminal.Gui.MenuBarItem[] menus);

##### Parameters

Type | Name | Description
--- | --- | ---
MenuBarItem[] | menus | Individual menu items, if one of those contains a null, then a separator is drawn.

### Properties

#### Menus

The menus that were defined when the menubar was created. This can be updated if the menu is not currently visible.

##### Declaration

    public Terminal.Gui.MenuBarItem[] Menus { get; set; }

##### Property Value

Type | Description
--- | ---
MenuBarItem[] | The menu array.

### Methods

#### MouseEvent(MouseEvent)

##### Declaration

    public override bool MouseEvent (Terminal.Gui.MouseEvent me);

##### Parameters

Type | Name | Description
--- | --- | ---
MouseEvent | me | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### PositionCursor()

##### Declaration

    public override void PositionCursor ();

#### ProcessHotKey(KeyEvent)

##### Declaration

    public override bool ProcessHotKey (Terminal.Gui.KeyEvent kb);

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### ProcessKey(KeyEvent)

##### Declaration

    public override bool ProcessKey (Terminal.Gui.KeyEvent kb);

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### Redraw(Rect)

##### Declaration

    public override void Redraw (Terminal.Gui.Rect region);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | region | To be added.